#include "bitmap.h"

#define numPics 40
#define numMinorPics 9
#define numCharacters 22

class Character;

class Character
{
public:

	Character(void);
	~Character(void);

	Bitmap pics[numPics];
	BYTE *tiles;
	bool minor;

	void changePalette(BYTE);
	void clear(void);
	void copyImage(int, int);
	void createBitmaps(void);
	void flipImage(int);
	void load(int, BYTE);
	void save(int, BYTE);
	void setImage(Bitmap& bmp);
	void setPixel(BYTE, int, int, BYTE);
	void setTransparency(BYTE);
	void updatePalette(void);

	//Inline Functions
	inline BYTE getPalNum(void)
	{
		return palette;
	}

private:

	BYTE palette;
	int tileOffset;
	bool fixedPalette;
};

bool loadCharacters(char*);
void loadCharPals(int);
void loadCharTiles(int);
bool saveCharacters(char *);
void saveCharPals(int);

extern Character character[numCharacters];
extern RGBTRIPLE charPals[32][16];

